#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	ext
Summary:	Net::ext Perl modules - socket interfaces
Summary(pl.UTF-8):	Moduły perla Net::ext - interfejsy do gniazd
Name:		perl-Net-ext
Version:	1.011
Release:	12
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8be68650bef6769212127d2118b44736
URL:		http://search.cpan.org/dist/Net-ext/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::ext contains the following modules:
- Net::Gen - generic socket interface handling,
- Net::Inet - Internet socket interface module,
- Net::TCP - TCP sockets interface module,
- Net::TCP::Server - TCP sockets interface module for listeners and
  servers,
- Net::UDP - UDP sockets interface module,
- Net::UNIX - UNIX-domain sockets interface module,
- Net::UNIX::Server - UNIX-domain sockets interface module for
  listeners.

%description -l pl.UTF-8
Net::ext zawiera następujące moduły:
- Net::Gen - obsługa ogólnego interfejsu gniazd,
- Net::Inet - moduł interfejsu do gniazd internetowych,
- Net::TCP - moduł interfejsu do gniazd TCP,
- Net::TCP::Server - moduł interfejsu do gniazd TCP dla nasłuchujących
  i serwerów,
- Net::UDP - moduł interfejsu do gniazd UDP,
- Net::UNIX - moduł interfejsu do gniazd uniksowych,
- Net::UNIX::Server - moduł interfejsu do gniazd uniksowych dla
  nasłuchujących.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Net/*.pm
%{perl_vendorarch}/Net/TCP
%{perl_vendorarch}/Net/UNIX
%{perl_vendorarch}/auto/Net/UNIX
%{perl_vendorarch}/auto/Net/Inet
%{perl_vendorarch}/auto/Net/UDP
%dir %{perl_vendorarch}/auto/Net/Gen
%{perl_vendorarch}/auto/Net/Gen/*.al
%{perl_vendorarch}/auto/Net/Gen/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Gen/Gen.so
%{_mandir}/man3/*
%changelog
* Thu Feb 12 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-ext.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9f4d02e
- release 12 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 248cf5f
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d90cde8
- rebuild for perl 5.20
- release 11 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1cd1d13
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> ab1bd33
- rel 9

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 66661b5
- release 8

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6bf9c2d
- release 7

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> cc21a92
- release 6

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> d0d4917
- generic URL, informative descs

* Sun Mar 02 2008 radek <radek@pld-linux.org> f413410
- release 5

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c583e5
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 3516a21
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 99ecac5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7f89fdf
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 1fa04d3
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> ab156d8
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 9bd56ed
- fixed perl-devel BR

* Mon Apr 26 2004 ankry <ankry@pld-linux.org> 8303e81
- added tests, license fixes

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> bb8fc4b
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> cf11ad5
- mass commit: cosmetics (removed trailing white spaces)

